Bug 1251739 - [abrt] libreoffice-core: rtl_cache_free(): soffice.bin killed by SIGSEGV
[abrt] libreoffice-core: rtl_cache_free(): soffice.bin killed by SIGSEGV
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:fb8dff0798aacb539a3270e0c3a...
:
: 1174470 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-09 08:24 EDT by bdo
Modified: 2016-02-23 03:08 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-23 03:08:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (79.56 KB, text/plain)
2015-08-09 08:24 EDT, bdo
no flags Details
File: cgroup (190 bytes, text/plain)
2015-08-09 08:24 EDT, bdo
no flags Details
File: core_backtrace (10.75 KB, text/plain)
2015-08-09 08:24 EDT, bdo
no flags Details
File: dso_list (30.98 KB, text/plain)
2015-08-09 08:25 EDT, bdo
no flags Details
File: environ (2.57 KB, text/plain)
2015-08-09 08:25 EDT, bdo
no flags Details
File: limits (1.29 KB, text/plain)
2015-08-09 08:25 EDT, bdo
no flags Details
File: maps (147.48 KB, text/plain)
2015-08-09 08:25 EDT, bdo
no flags Details
File: mountinfo (4.24 KB, text/plain)
2015-08-09 08:25 EDT, bdo
no flags Details
File: namespaces (85 bytes, text/plain)
2015-08-09 08:25 EDT, bdo
no flags Details
File: open_fds (4.75 KB, text/plain)
2015-08-09 08:25 EDT, bdo
no flags Details
File: proc_pid_status (1.00 KB, text/plain)
2015-08-09 08:25 EDT, bdo
no flags Details
File: var_log_messages (402 bytes, text/plain)
2015-08-09 08:25 EDT, bdo
no flags Details

  None (edit)
Description bdo 2015-08-09 08:24:46 EDT
Description of problem:
Attempted to close a document without saving (deliberately - did not need to keep the current edits)

Version-Release number of selected component:
libreoffice-core-4.4.5.2-1.fc22

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --writer --splash-pipe=5
crash_function: rtl_cache_free
executable:     /usr/lib64/libreoffice/program/soffice.bin
global_pid:     4703
kernel:         4.1.3-200.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 rtl_cache_free at /usr/src/debug/libreoffice-4.4.4.3/sal/rtl/alloc_cache.cxx:1236
 #1 SwDoc::DelFrmFmt at /usr/src/debug/libreoffice-4.4.4.3/sw/source/core/doc/docfmt.cxx:716
 #2 SwRootFrm::~SwRootFrm at /usr/src/debug/libreoffice-4.4.4.3/sw/source/core/layout/newfrm.cxx:587
 #4 release at /usr/include/boost/smart_ptr/detail/sp_counted_base_gcc_x86.hpp:146
 #5 ~shared_count at /usr/include/boost/smart_ptr/detail/shared_count.hpp:443
 #6 ~shared_ptr at /usr/include/boost/smart_ptr/shared_ptr.hpp:323
 #7 SwViewShell::~SwViewShell at /usr/src/debug/libreoffice-4.4.4.3/sw/source/core/view/vnew.cxx:296
 #8 SwWrtShell::~SwWrtShell at /usr/src/debug/libreoffice-4.4.4.3/sw/source/uibase/wrtsh/wrtsh1.cxx:1645
 #10 SwView::~SwView at /usr/src/debug/libreoffice-4.4.4.3/sw/source/uibase/uiview/view.cxx:1058
 #12 SfxViewFrame::ReleaseObjectShell_Impl at /usr/src/debug/libreoffice-4.4.4.3/sfx2/source/view/viewfrm.cxx:1088
Comment 1 bdo 2015-08-09 08:24:56 EDT
Created attachment 1060724 [details]
File: backtrace
Comment 2 bdo 2015-08-09 08:24:57 EDT
Created attachment 1060725 [details]
File: cgroup
Comment 3 bdo 2015-08-09 08:24:59 EDT
Created attachment 1060726 [details]
File: core_backtrace
Comment 4 bdo 2015-08-09 08:25:02 EDT
Created attachment 1060727 [details]
File: dso_list
Comment 5 bdo 2015-08-09 08:25:03 EDT
Created attachment 1060728 [details]
File: environ
Comment 6 bdo 2015-08-09 08:25:04 EDT
Created attachment 1060729 [details]
File: limits
Comment 7 bdo 2015-08-09 08:25:11 EDT
Created attachment 1060730 [details]
File: maps
Comment 8 bdo 2015-08-09 08:25:13 EDT
Created attachment 1060731 [details]
File: mountinfo
Comment 9 bdo 2015-08-09 08:25:14 EDT
Created attachment 1060732 [details]
File: namespaces
Comment 10 bdo 2015-08-09 08:25:15 EDT
Created attachment 1060733 [details]
File: open_fds
Comment 11 bdo 2015-08-09 08:25:17 EDT
Created attachment 1060734 [details]
File: proc_pid_status
Comment 12 bdo 2015-08-09 08:25:18 EDT
Created attachment 1060735 [details]
File: var_log_messages
Comment 13 Caolan McNamara 2015-08-09 09:19:17 EDT
*** Bug 1174470 has been marked as a duplicate of this bug. ***
Comment 14 Caolan McNamara 2015-08-09 09:21:04 EDT
I believe we had this reported once before, but it was unreproducible in that case. Are you able to reproduce this problem if you load that document again and make a few changes and then repeat the close and dismiss changes ?
Comment 15 bdo 2015-08-11 07:38:42 EDT
Just tried to reproduce but no luck.  As I recall, I had 4 or 5 docs open - I think it was 1x .docx, 2 or 3 .doc and 1 .odt.  One of the .doc files was about 7 pages, the last of which was an embedded .xls spreadsheet.  I'd selected that (the embedded spreadsheet) and copy + pasted it to a new text doc.  I'd done some edits to the embedded sheet, then left it for a while.  Realised later I didn't need the copy and when I attempted to close that document it hung (that document went completely blank).  Then maybe 2~3 minutes later all the libreoffice docs I had open crashed & the bug reporter popped up.  I've now tried twice this evening to replicate, but haven't been able to provoke a crash.

Note You need to log in before you can comment on or make changes to this bug.